Subject: Re: [PATCH net-next 0/8] net: mscc: PTP offloading support

From: Antoine Tenart <[email-masked]>
Date: Fri, 18 Jan 2019 09:58:33 +0100

Hi Florian,

On Thu, Jan 17, 2019 at 09:07:05PM -0800, Florian Fainelli wrote:
> On 1/17/2019 2:02 AM, Antoine Tenart wrote:
> > 
> > This series adds support for the PTP offloading support in the Mscc
> > Ocelot Ethernet switch driver. Both PTP 1-step and 2-step modes are
> > supported.
> > 
> > In order to make use of the PTP offloading support, two new register
> > banks were described in the Ocelot device tree. The use of those
> > registers by the Mscc Ocelot Ethernet switch driver is made optional for
> > dt compatibility reasons. For the same reason a new interrupt is
> > described, and its use is also made optinal for compatibility reasons.
> > All of this is done ine patches 1-5.
> > 
> > The PTP offloading support itself is added in patch 8.
> > 
> > While doing this support, a few reworks were done in the Ocelot switch
> > driver, in patches 6-7.
> > 
> > Patches 2 and 4 should probably go through the MIPS tree.
> 
> Looks like you missed copying netdev on this patch series, do you mind
> re-sending there as well?

I just checked and netdev is Cc'ed. I'll prepare a v2 to take in account
the comments, so I'll sent it again anyway.

Thanks!
Antoine

-- 
Antoine Ténart, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com